2014-09-22

   Pavel Fric
        - updated Czech translation

2014-09-19

   emw  - fixed handling of alsa devices without mixer elements
        - enabled internet radio reconnect-watchdog with default timeout 4s
        - fixed Qt include paths for Ubuntu
        - fixed build dependencies in CMakeLists.txt and Debian/SuSE/Fedora
          build scripts

2014-09-18

   emw  - cleaned backlog of translation & preset emails
        - suspend-on-sleep feature added
        - fixed alarm time slip after suspend
        - updated for recent libav/libffmpeg
        - updated German translation

2014-03-26
 
   Pino Toscano
        - QString -> char* conversion fixes
        - various Build system fixes
        - various misc / conformance fixes

2014-03-13

   Luigi Toscano
        - updated Italian translation

2014-02-16
 

   Pino Toscano
        - MPRIS Plugin
        - various build system fixes
        - various misc/i18n-conformance improvements

2013-03-09

   Alexey Kouznetsov
        - updated Russian translation

2013-02-23

   emw  - fixed compilation problems in Serbian translation

2013-02-10

   Roman Paholík
        - added more parts of Slovak translation

   Goran Simović
        - added Serbian (Latin) translation

   emw  - fixed German translation for recent text string changes

2013-01-26 (4.0.7)

   emw  - release 4.0.7

2013-01-19

    emw - fix for planar sound sample formats in very recent ffmpeg releases
        - support for id3 tags in recording configuration
        - fixed segfault in case sample format is unknown
        - fixed charset/encoding of id3 tags / vorbis comments

2012-08-15 (4.0.6)

    emw - release 4.0.6

2012-08-12

    emw - bugfixes for playlist file .pls handling (BBC stations and further
          UK radio stations, see bugreport 3534405)
        - support for WMV playlists
        - improved playlist type autodetection

2012-08-02 (4.0.5)

    emw - bugfix for http error handling in playlist handler
        - cleanup of internet radio libffmpeg/libav code
        - fixed watchdog handlinlg: it was not stopped during station change
          and caused accessing empty playlists, thus div/0
        - removing cr/lf in ICY meta data / RDS data for running text in GUI
        - fixed typo in escape sequence code for ICY meta data parsing 
        - fixed content-type handling for mms streams (allows now skipping slow autodetection)

2012-07-28

    emw - finally fixed the problem with skips and stops in internet radio
          stream decoding
        - fixed handling of HTTP 304 (not modified) response code

    Paulo Cavalcanti
        - updated preset file for RioDeJaneiro/Brazil

    Roman Paholík
        - initial partial Slovak translation

2012-04-09

    emw - added watchdog for internet streams: reconnects after a configurable stall time

2012-04-08

    emw - visualization of disabled alarms
        - endianess and sample conversion code speedup
        - disabled alsa blocking usleep workaround by default and added configuration option
        - updated German translation
        - added config option for internet radio stations to set metadata encoding charsets
        - further buffer management fixes to stop repeated skips on certain systems
        - individual name for quickbar window title

2012-02-19

    Pavel Fric <pavelfric@seznam.cz>
        - Czech translation update

    emw - spec file updates

2012-02-18 (4.0.4)

    emw - improved shoutcast support: fixed "Accept:" HTTP header field

2012-02-15

    emw - issue warning if a broken V4L2 kernel is detected

2012-02-13

    emw - fixed buffer alignment issue to avoid alignment-error segfault in
          libffmpeg sse2 code

2012-02-12 (4.0.3)

    emw - major rework of internet radio stream handling:
          support for shoutcast http icy protocol extensions (RDS-like meta data support)
        - improved running text in radio display
        - eliminated ancient workarounds in docking menu
        - fixes for docking menue issues on Ubuntu
        - fixed stuttering playback on Ubuntu
        - working FLV support (simply based on libffmpeg, but many thanks to Paulo Cavalcanti for   
          reporting/debungging/testing!)

2012-01-21

    emw - libffmpeg fixes for recent deprecations

2012-01-02

    Frederik Schwarzer
        - German translation fixes
        - fixed UI files

2011-06-23

    emw - segfault and compatibility fixes with recent libav / libffmpeg
        - workaround for problem with high cpu load during blocking ALSA pcm
          writes (ALSA seems to poll to a certain degree)  

2011-06-12

    emw - fixed reading of radio card name

2011-05-07

    Sergio Ahumada
        - Added partial spanish translation

2011-04-20

    emw - fixed save/restore of mixer settings
        - fixed wrong handling of prepare/releaseCapture in v4l

2011-03-05

    turgay
        - partial Turkish translation

    Sergio Ahumada <sergio.ahumada@nokia.com>
        - more parts for Spanish translation

2011-01-11

    Sergio Ahumada <sahumada@gmail.com>
        - started to complete Spanish translation

2011-01-08

    Pavel Fric <pavelfric@seznam.cz>
        - Czech translation update

    Yuri Chornoivan <yurchor@ukr.net>
        - Ukrainian translation update

    Giovanni Scafora <giovanni@archlinux.org>
        - Italian translation 

    Dirk Mueller <dmueller@novell.com>
        - fix of desktop icon

2011-01-07 (4.0.2)

    emw - updated german translation
        - added preset files
        - fixed segfault and problems in internetradio plugin when
          playlists/streams do not load properly

2010-12-21 (4.0.2-rc1)

    emw - better configurability for alsa buffer handling plus extra debugging output
        - fixed pause/resume for pulse audio environments

2010-12-20

    emw - fixed problem with inapropriately set capture mixer volumes
        - fixed capture/playback mixer list c&p error in v4l plugin

2010-12-19

    emw - better error handling in case the opening of an alsa sound device fails

2010-11-07

    emw - moved internet radio play list loading from decoder thread to GUI
        - new, currently still disabled method to do the stream downloading
          for internet radio in the main thread asynchronously, not in the
          decoder thread any more. Unfortunately, KDE4 does not yet have
          an kioslave for the mms:// protocol. Thus this method is currently
          still disabled.
        - fixed problem with non-ascii-characters / encoding detection in
          .asx playlists
        - fixed segfault caused by improper way to delete QThread objects
        - check box for v4l config to disable caps check at startup to
          minimize interference with other programs using V4L devices
        - combo box for radio device selection in V4L radio configuration
          (with option to manually add device)

2010-10-03

    emw - fixed segfault in ALSA module caused by insufficient checks while
          parsing ALSA device descriptions
        - fixed mix up of pause/resume in dbus plugin
        - dbus plugin can change stations even if power is off
        - stop recording v4l stream when powering off v4l plugin
        - power on before starting recording triggered by system tray icon/menu
        - fixed signal naming mistake in recording configuration dialog
        - internet radio: big rework of playlist download method. should be much cleaner now

2010-10-02 (4.0.1)

    emw - internet radio: automatic reconnect if connection is terminated
        - internet radio: limit time required for autodetection. Parameters
          are currently only configurable in config file, will be added to
          GUI in 4.0.2
        - fixed segfault when opening of internet radio stream fails
        - keep selection in station list editor when ok/apply is pressed
        - updated German internet radio streems part of ARD (WDR, SWR, BR, MDR, Radio Bremen, SR, RBB, NDR, HR)
        - ensure station list items visible in station list editor
        - new stations are added at cursor position

2010-09-29

    emw - polished debian build files based on parts of the ubuntu patch set

2010-09-27

    emw
        - compilation fix for armel platform (Thanks to SevenMachines@yahoo.co.uk 
          and bug report http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597700)
        - typo fix in german translation

    Pavel Fric
        - update Czech translation

    Yuri Chornoivan
        - updated Ukrainian translation
        - typo fixes


2010-09-26 (4.0.1-rc2)

    Pavel Fric
        - updated Czech translation

    Yuri Chornoivan
        - updated Ukrainian translation

    emw
        - updated German translation
        - dependency fixes for ubuntu package builds
        - configurable left/right/mid/double clicks for systray icon
        - made recording file names configurable for default names and per scheduled recording item

    Márcio Moraes

        - updates for Portuguese (Brazil) translation

    Sveinn í Felli

        - updates for the Islandic translation

2010-09-16 (4.0.1-rc1)

    Alexey Kouznetsov
        - updated Russian translation (from 2009-06-11)

    Pavel Fric
        - updated Czech translation (from 2009-06-12)

    Márcio Moraes
        - Portuguese (Brazil) translation (from 2009-11-12)

    Sveinn í Felli

        - Islandic translation (from 2010-09-15)

2010-09-14

    emw - fixed initialization of config dialog for systray
        - disabled nerving systray notifications on playlist URL loads

2010-09-13

    emw - improved handling of capability changes of mixers in config dialog

    Michael Kaiser
        - added PKGBUILD file


2010-09-12

    (changes accumulated over past year)

    emw - compilation fix for recent libffmpeg
        - fixed possibility of internet radio playlist-load to block the GUI
        - finished GUIListHelper rework: improved the audio device/channel configuration GUI elements
        - automatically use V4L2 for kernels >= 2.6.31 (v4l1 support seems to be broken/dropped)
        - improved CMakeList.txt files to report summary of findings of required libs/features

2010-06-08

    pinotree
        - fix for non-linux systems from pinotree, sf patch entry:  Porting to non-Linux OSes - ID: 3013105

2009-06-27

    emw - rework of GUIListHelper template
        - alsa plugin: added channel name in mixer volume error messages

2009-06-11

    emw - avoid unnecessary error message by lirc plugin/QSocketNotifier
        - further fixes for handling of invalid mixer channels in cfg
          dialogs and cfg restore phase

2009-06-08
    emw
        - Unfortunately, we cannot get around ALSA Bug 3461
          (https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3461)
          => workaround that disables all but the first read of the sound device list
        - Internet radio plugin: switched from deprecated avcodec_decode_audio2 to avcodec_decode_audio3
          which hopefully fixes crashes in libavformat under eeebuntu
        - Limited QTimer based polling to 50 Hz in alsa module

2009-06-07
    emw
        - re-layout of config dialog if plugin added/removed/renamed
        - plugin config is read if the plugin is manually added in config dialog
        - removed deprecated usage of stdio / FILE* stuff from ogg/vorbis encoding
        - Added better handling for KUrlRequester if KDE >= 4.3
        - Fixed typo in plugins/CMakeLists.txt that even build ffmpeg
          support if one lib was missing
        - Fix of Qt3Support Handling for Streaming Plugin
        - Fix of top level CMakeLists.txt for proper KDE4 defines
        - Big Configuration Dialog Size Fix: The size should fit now on netbooks
        - Fixed segfault if shortcuts plugin is unloaded
        - Fixed crash when v4l plugin is removed and station scan is run afterwards
        - Fixed version for lame package in debian control file for ubuntu compatibility
        - Better description strings for V4L Devices
        - First step towards simplified alsa interface
        - Fixed double open & segfaults if keyboard is used for preset opening and station search
        - Big ALSA fix: Using no more card/dev numbers but device strings got by _hint functions


2009-06-01 (4.0.0)

    emw - tagging release 4.0.0

2009-05-31

    Paulo Cavalcanti
        - Added kradio4.desktop file. Thanks to Paulo!

    emw
        - completed Russian translation. Thanks to Alexey Kouznetso
        - fixed problems with incorrect usage of pkgconfig results for
          libavformat and libmms
        - alarms are enabled by default now
        - fixed possible segfault caused by docking/systray menu rebuild
        - fixed failing wait for poweron if internet radio stations are
          recorded starting in power-off mode
        - fixed false error message about an unknown station in case an
          alarm does not change the station
        - alarm type >stop recording< now really only stops recording, not playback
        - updated dev dependencies in debian control file for compatibility
          with debian-multimedia repository (http://debian-multimedia.org/)
        - fixed opensuse spec file for .desktop entry

2009-05-09

    emw - using now pkg_check_modules for libavformat/libmms... will be used
          for other libs in future, too
        - recording config page: fixed accidentally wrong default tab
        - added more caps logging for v4l2
        - removed checks for redundant mute calls - we (un)mute always since
          some drivers do not report mute state properly
        - made development warnings/FIXMES configurable by cmake parameters.
          Default is OFF
        - increased update period of standard display to reduce CPU load
        - reduced CPU load caused by some not properly stopped timers in v4l
          and standard view

 Yuri Chornoivan
        - completed Ukrainian translation. Thanks a lot to Yuri!

2009-05-07

    emw - one more consistency check for lirc config reading. Might have
          caused occasional crashes depending on lirc version. Thanks a lot to
          Paulo Cavalcanti for providing lot of testing and debug information!

2009-05-01

    emw - added configuration option for "Mute-On-Power-Off" in internet
          radio plugin + translation updates for cs, de, ru

2009-04-26 (4.0.0-rc4)

    emw - preset: Added preset file for Croatia/Split. Thanks to Ivica Bozulic.
        - fix: Default value for Alsa buffer size consistent with comments/help in GUI
        - Updated translations for ru and cs. Thanks to Alexey Kouznetsov and Pavel Fric

2009-04-19

    emw - fix: tabulator order in config tabs
        - fix: better lirc synchronization mechanism + consistency checks
        - fix: default playback channel for internet radio has been line. Is now PCM
        - feature: allow reading of multiple preset files at once

2009-04-18

    emw/Paulo Roma Cavalcanti:
        - added spec file for Fedora

2009-04-18 (4.0.0-rc3)

    emw - fix: added missing .po files for incompletely translated languages
        - fix: updated german translation

2009-04-10

    emw - fix: added missing include for ogg encoder
        - cleanup: some cleanup of mute stuff in v4l
        - fix: added detection of wrong installtion and missing libs
        - cleanup: removed profiling output at application quit
        - fix: workaround for problem with drivers not reporting mute state correctly
        - debug: re-enabled caps debug logging again for v4l1


2009-04-10 (4.0.0-rc2)

    emw - fix: .pls Playlist reading is now case-insensitive
        - fix: crash in recording plugin caused by improper thread-locking
        - fix: compilation errors in Czech translation
        - fix: Noise in recording of net radio caused by unintended repetition of sound data
        - fix: added detection for old/new libffmeg/libavformat headers (ffmpeg/avformt.h vs libavformat/avformat.h)
        - fix: added missing include of math.h
        - fix: no error message any more when trying to mute a non-playback channel caused by active playback
        - fix: german translation reported a non existant error in debug info
        - fix: cmake 2.6.2 compat fix for libffmpeg detection

2009-04-05

  Pavel Fric - Czech translation


2009-03-28 (4.0.0-rc1)
    emw - fix: included preset files that have been queued for a quite long time
        - fix: debian build system
        - fix: stddisplay: rds info update on station change
        - fix: localization
        - fix: completed german translation
        - fix: enable/disable usefull/useless gui elements in standard display
        - fix: typos in country names
        - svn branches/kde4 is now svn trunk
        - fix: better naming of meta data tab of stations config page
        - fix: use attachments instead of body for sending .krp station files by email

2009-03-22
    emw - fix: added workaround for RDS radio text (group 2a/b) not
          conforming to ftp://ftp.rds.org.uk/pub/acrobat/rbds1998.pdf
        - feature: added RDS block/group error rate debug information
        - fix: std-display: smoother scrolling of RDS radio text
        - feature: added Force-RDS-Enable config switch in V4L plugin

2009-03-17
    emw - fix: crash during playlist download caused by menu rebuild of docking menu
        - fix: crash caused by missing wait for thread termination

2009-03-15
    emw - feature: support for m3u, asx and pls files
        - feature: support for mms:// protocol
        - presets for some german internet radio streams

2009-03-14 (beta 2)

    emw - fix: combo boxes for alsa sound cards switched back to first entry periodically
          improvement: config groups for plugin instances now named uniquely, preparation for instance renaming
        - feature: add support for renaming plugins
        - fix: better unique identifiers for plugin instances in config file
        - fix: Give Sound Devices/Plugins in Combo-Boxes of V4L Cfg etc. better names than just AlsaSound..blah1
        - fix: default names for plugins should not contain "instance1" should be added by pluginmanger for config only
        - fix: plugin instance names should be displayed in the config dialog below the icons in case there are multiple instances
        - fix: occasional crash on manual deleten and insertion-after-deletion of plugin instances

2009-03-08
    emw - fix: switch from fm to net: display does not show station name
        - fix: default capture format for alsa devices. required for some buggy alsa implementations that deliver radio card sound
        - fix: alsa: softvolume
        - fix: alsa/conf should periodically look for changed cards
        - fix: soft volume: correct mute implementation (vol = 0 is ambigious)
        - fix: if active playback: we should have an option to mute the playback for the capture input
        - help: some docu in the alsa config when the capture format override is required (Tooltip/What's this)
        - fix: buffer sizes min/max settings in alsa config have been broken after kde4 port
        - fix: alsa buffer overrun caused stop of capture sound data distribution and thus permanent buf overrun and stop of playback
        - fix: many issues with alsa buffer over/underflows. alsa is now using threads
        - fix: crash if recording is released from rec menu (delete of action that called the slot)

2009-03-07

    emw - fix: 100% cpu utilization if a "finite" file is used for streaming input
        - feature: soft volume for alsa devices

2009-03-06

    emw - fix: crash in lirc config if no .lircrc file is present
        - feature: station config now allows load/add and load/replace
        - fix: use presets standard dir for load preset button in config dialog
        - fix: replace url by name for inet stations
        - fix: install dir for libs, presets, etc. should be kradio4 instead of kradio
        - fix: switch search paths to kradio4: lirc, libs, presets
        - fix: allow adding stations from preset file
        - fix: potential segfault on first startup if no plugins are found
        - fix: stddisplay has broken entry in widgets hide/show menu on first startup
        - fix: Plugin Libs Dialog: KUrlRequester should have better def directory, e.g. $KDEDIR/libs/kradio/plugins
        - fix: update spec file for opensuse 11.1 (requires videolan+packman repositories)


2009-03-04
    emw - fix: Bug 2638525 (colors of standard display config did not work)
        - feature: dbus plugin
        - automatically check for new plugins on startup, incl. "do not show again" options


2009-03-01 (r686)

    emw - initial support for internet radio stations
        - fix: pause does not work with internet radio stations
        - fix: recording does not work 100% with internet radio stations
        - fix: enable initial lirc_client state/mode selection
        - pause also does not work for active playback
        - activatstation in power-onstate fails if old station is v4l, new station is net
        - netradio: support for decoding types (mp3/ogg/auto)
        - fix: Icon for InternetRadio


2009-02-22 (r664, beta1)

    emw - Added support for station-wise stereo/mono settings.
          Unfortunately, my radio card driver seems to ignore this feature without
          telling it to kradio :-(
        - polish: tray icon has now indicators for all three states: play, pause, recording
        - fix: without kradio event map entry in .lircrc file: hang/loop/freeze
        - fix: exit button in stdview without icon
        - FAQ: write something where RDS support can be seen.
        - FAQ: how to setup lirc, use event map!! (?)
        - FAQ: item: how to compile
        - fix: fixed missing reread of capabilities during switch of V4L1/V4L2 mode
        - fix: get the window hide/restore/show stuff consistent again. It is working now
          with the (stable) KDE3.5.9 Window Manager, the KDE4.3(svn) Window Manager seems to be a bit broken currently.

    Yuri Chornoivan
        - translation: added Ukrainian translation. Thanks to Yuri Chornoivan!
        - preset file for Kyiv/Ukraine

2009-02-20-r649
    emw - fix: canceling kradios config dialog unnecessarily opens sound device, even if nothing changed
        - feature: improve device information on radio device in v4l config dialog (hints for permissions, etc)
        - some tuning in alsa config mixer settings
        - fixed packing of tar.bz2/gz files
        - some icon changes to comply more with standard icon sets
        - fix: mute playback channel on power off worked, but unmute at power on afterwards failed:)
        - fix: removed cause of "QPainter::begin: A paint device can only be painted by one painter at a time"-msg
          appearing on some Qt versions
        - fix: added some checks in shortcuts and lirc code
        - fix: c&p error in default shortcuts resulted in shortcut ambiguity
        - as long as we are not using the old style per-plugin-about-stuff, we have the standard KDE about dialog in place now.
        - improved pause handling a lot, it is now explicit if the system is paused or not

2009-02-19-r630
    emw - fix: get rid of unnecessary warnings on Iconnect stuff during compile
	- polish: give description for "active capture" in config dialog... perhaps use tooltips?
        - polish: provide some PVR-help as tooltips and normal labels in v4l config and streaming config
        - fix: default tab for alsa config is mixer level settings, should be device selection
        - fix: default tab for v4l is options, not devices
        - fix: kglobalaccel crashes again on kradio start
        - fix: PVR mode: when recording is switched on without switching on power before, kradio consumes 100% cpu time (50% system)
        - write README.PVR for PVR users
        - test streaming plugin (with /dev/urandom as quasi emulation)
        - fix: consistent use of KUrl in Streaming Plugin
        - fix: many crashes in stream config possible
        - fix: icon for widgets in taskbar broken
        - fix: short cuts are not yet well in place
        - beautify cmake output of supported features
        - fix: quickbar / float does not restore size properly (size policy has been missing in quickbar)
        - fix: icons for v4l, quickbar
        - fix: rename kradio icon to kradio4 like the application name or let kradio still be named kradio not kradio4
        - fix: docking menu titles
        - fix: quickbar behaves strange after config update, works again after moving mouse over quickbar window
        - fix: pause button crashes if temp file is not writable
        - fix: recording monitor: add makers for dB numbers
        - fix: (re-;-) enable seconds in alarm config page
        - fix: set alsa buffer size to 64 kb by default
        - fix: time annotation for recorded data does not work properly
               (was: buffer management of meta data in encoder.cpp was broken)
        - fix: button "recording" in monitor fails if power is off
        - fix: recording monitor does not notice file name when recording, does
               not notice power state changes, etc...
        - fix: applying config changes stops recording monitor updates
               (was: bug in prerecording buffer handling caused stop of capture)
        - fix: recording causes buffer overflows (was caused by broken recording directory extration in config dialog)
        - fix: some states are not stored in kradiorc, e.g. current station
        - fix: standard view does not correlate frequency with stations correctly
               (fixed in v4lradio systematically)
        - fix: Config Dialog seems to be parent for many other widgets / main window (something to do with "group leader window" ? see KWindowInfo)
        - fix: detect strange frequency range settings and reset to default.
               might be caused by misbehaving radio card
        - fix: storing of window positions seems not to work (hide/show stuff)
        - fix: why is v4l2 not detected if available?
        - fix: v4l2 support always enabled, selectable explicitly by GUI radio buttons
        - add reset button for config dialog
        - option for display window type (entry in taskbar or toolbar window)
        - 32kHz support

2009-02-15
    emw - Initial version of RDS support, tested with dummy data since
          my card does not have RDS support. Currently, station scan and
          the standard gui and systray icon support RDS Station Names and
          RDS Radio Text.
        - Initial shortcuts support

2009-02-08
    emw - initial port to kde4 now more or less done. Nothing yet
          extensively tested. Please test and contribute bug fixes

2006-11-17

    emw - fixed usage of QDict for streaming plugin. Will never use a QDict
          for dynamic structures any more. Causes data corruption.
        - fixed wrong signal/slot connections for streaming configuration
        - fixed restore functionality of streaming plugin

2006-11-13

    emw - Fixed signal naming bug in streaming plugin
        - converted errors to warnings during v4l2 detection of
          treble/bass/balance/mute/volume
        - Fixed deletion of KIO::TransferJob in streaming plugin

2006-11-12

    emw - lirc output to stderr in case kde redirects other logs not to
          console but to some log file. users had been irritated before.
        - don't write preset file if <= 1 presets in list and issue warning.
          very rare non-reproducible corruption of preset files has been
          reported.
        - insert information in sound stream file name attribute if no real
          file is behind that stream (i.e. everything except real recording)
        - fixed libvorbisenc typo in configure.in.in



2006-11-11

    emw - switched kradio repository to SVN
        - changed directory structure for kradio3/src

2006-11-10

    emw - fixed further hideall/showall bugs
        - added russian translation, thanks to Alexey.Kouznetsov
        - fixed problems with min frequency < 87 MHz

2006-11-07

    emw - fixed a lot in configure.in.in: Made alsa, oss, mp3lame,
              ogg/vorbis and lirc configurable
        - translation number fixes
        - i18n fixes
        - fixed quite a lot hideall/showall bugs

2006-11-05

       emw  - adjusted translation structures for to be ready for plugin
              structure
            - adjusted icons files and dir structure for plugin structure
            - updated german translation

2006-10-29

       emw  - fixed build system for src directory and inside libs
            - fixed plugin loading error message if lirc is not available
            - fixed $libdir issues for SuSE 10.1/x86_64
            - fixed alsa segfault if no mixer is present

2006-09-20

       emw  - fixed lirc bug: broken pipes caused 100% CPU load
            - made plugin-loading-progress-bar configurable in plugin config
              page
            - if #instances was stored with an invalid value (< 1 | > 10)
              this value will now automatically fixed
            - check #libraries for good range (>= 6) otherwise load all
              available libraries
            - fixed bullshit in RawStationList that prevented correct
              functioning of insert/append/replace/... no idea why anything
              ever worked
            - fixed totally mad behavior of station setup dialog
            - 48kHz support
            - fixed handling in recording in case mp3/ogg is not available
            - fixed notifyPlayback/CaptureChannelsChanged in streaming.cpp

2006-09-19

       emw  - fixed initialization problem of playback device combobox in
              alsa configuration dialog
            - fixed disappearance of alsa capture mixer settings after
              change
            - introduced dirty-flag in configuration dialogs in order to
              reduce unnecessary delays on click of cancel/ok
            - fixed wrong warning if station icon load was canceled in
              configuration dialog
            - fixed excessive station icon growth in configuration dialog
              e.g. when station name was typed
            - fixed enabling/disabling of up/down buttons in station list
              configuration dialog
            - added recording indicator for kradio icon, e.g. used in
              docking menu

2006-09-18

       emw  - streaming device configuration dialog
            - additions to noti(ce|fy)SoundStreamData interface:
              size_t &consumed_size added for feedback

2006-09-17

       emw  - added new plugin: basic streaming device, e.g. for /dev/video24

2006-09-03

       emw  - fixed ":" problem in recording file names e.g. on fat file
              systems. Thanks to Ignacio Feijoo for the Patch.
            - fixed v4l config balance problem ?? at least not reproducible
              any more

2005-12-02

       emw  - fixed typo in configure.in.in that resulted in wrong
              installation directory for plugins

2005-11-28

       emw  - fixed typo in include hint in kradio3/src/libkradio-gui/stationselector-ui.ui


2005-11-27

       emw  - fixed alsa-config-dialog-toooooo-big problem with QScrollView
            - added memory profiling feature to profiler
            - reduced memory consumption by removing lots of about config
              pages (GPL Tab requires about 1MB per instance!)
            - fixed missing libprefix in configure.in.in

2005-08-28 (1.0beta3b)

       emw  - more saveState fixes
            - split config pages of alsa,recording, v4l into several tab
              pages
            - initial drag&drop support in station selectors, quickbar,
              docking
            - v4l power off behavior (mute, volume=0) is now configurable,
              some cards need mute/volume, some others don't

2005-08-23

       emw  - FIX: modifications of stations failed. Was a faulty != / ==
              operator in StationList class.
            - FIX: saveState was not called if kradio was closed by kde
              session exit
            - FIX: use current time for new alarms
            - FIX: reduced caption length for config dialog, error log
            - FIX: reduced icon-item names in config dialog

2005-08-21 (1.0beta3)

       emw  - little SuSE 9.2 compilation fix
            - one more buffer handling fix that resulted in clicks during
              recording
            - pre-recording & recording now works completely also for
              timeshifted signals
            - made behaviour of LeftMouseClick on TraySymbol configurable
            - ALSA mixer setup fix

2005-08-20

       emw  - quite a bunch of serious buffer handling fixes that lead to
              unusable recordings/delayed playback/etc.
            - added multibuffer class (was originally part of encoder thread
              internal buffer handling)
            - initialization order fixes
            - recording encoder split into class tree (before, pcm,ogg,mp3
              was mixed within a single class)
            - ALSA initialization fixes
            - mixer channel handling fix in ALSA plugin
            - more intuitive recording monitor default stream selection
            - static logging functions

            - pre-recording - Never be upset anymore about pressing the
              recording button too late!

            - active playback implementation (capture from radio pcm device,
              playback on your soundcard)

2005-08-17

       emw  - adjusted SoundStreamClient interface for SoundFormat queries
            - v4lradio is ready for active playback (capturing from some
              device, playback on pcm)
            - improved ALSA buffer handling (separate HW and SW buffer
              settings)

2005-08-15

       emw  - enhanced ALSA configuration dialog by individually selectable
              capture mixer presets
            - consider lirc repeat counts
            - provide logging outside of classes

2005-08-14

       emw  - big lirc fix, lirc was not working for some time due to makefile
              changes
            - lirc configuration improvements
            - little bit lirc auto setup (default-dot-lirc)
            - little bit v4l device autodetection
            - no message box if stations.krp is not readable on first start
            - reduced default alsa buffer size. Resulted in internal alsa assertion failures

2005-08-12 (1.0beta2)

       emw  - fix for --enable-final
            - partial fix for renamed icon kradio-zzz.png to kradio_zzz.png
            - small GUI improvements for pause and sleep buttons

2005-08-09

    mcamen  - fix srcdir != builddir
            - more Makefile.am cleanups

2005-07-29

    mcamen  - do not install libkradio-interfaces; use a convinience
              lib instead

2005-07-28

    mcamen  - resorted src/Makefile.am to make the linker happy
            - use unversioned libs for the plugins
            - link all plugins with libkradio.la
            - rename dev_urandom in radio-stations/radiostation.cpp
              (namespace pollution, --enable-final fix)

2005-05-28
    emw     - profiling support - we need to improve startup time
                  needs to be commented out for release
            - big mixer channel handling fix
            - inconsistencies in restoreState process fixed
            - added releasePlayback/Capture as complementary function to
              preparePlayback/Capture
            - alsa event handler fix
            - gui margin/spacing reduced

2005-05-26

	mcamen  - added apidox Makefile target
	        - RadioConfiguration::slotSelectPixmap():
	          get rid of hardcoded list of supported image formats;
	          enable image preview in file KFileDialog

        emw     - added ALSA-Plugin
                - removed debug logging in recorder
                - fixed missing volume=0/mute in timeshifter

2005-05-22 (1.0beta1)

        emw     - fixed amd64 pointer arithmetic problem in
	          recording/encoder.cpp
                - fixed recording configuration combox index problem if
	          mp3 support is missing
                - fixed typo in Radio::noticeAlarm that prevented
	          scheduled recording
                - auto power-on if recording starts

        mcamen  - centralize version definition via src/kradioversion.h

2005-05-21

        mcamen  - added XDG Categories entry to .desktop file
                - replaced deprecated Terminal line in .desktop file
                  ("0" vs. "false")
                - removed deprecated MiniIcon line in .desktop file
                - fix #include syntax in main.cpp (<...> vs. "...")
                - require KDE 3.2 in configure.in.in
                - added preset for Tuebingen (cable)

        emw     - fixes of wrong location for soundstreamclient interconnect
                  handling. The bug resulted in failed interconnects and segfaults
                  due to non-released interconnects
                - fixed problem with notification about soundstreamid creation (v4lradio)
                - fixed ampersand handling of station names in gui-docking-menu
                - renamed libraries in src, now we have a consistent prefix:
                  libkradio-*
                - consistency fixes for some plugins: member function
                  name(), call of inherited notice(dis)connected
                - config->sync() call to KRadioApp::saveState
                - removed deprecated and unused -configuration.ui files for
                  QuickBar and Docking Menu
                - configuration page for LIRC

0.3.0 cvs revive

        emw     - major rework on sound backend
                - plugins as dynamic libraries
                - timeshifter plugin
                - ogg/vorbis recording

        mcamen  - got rid auf the outdated KDevelop buildsystem
                - got rid of the admin dir
                - renamed kradio subdir to src
                - renamed and moved some icons to src/icons according to the
                  freedeskto.org (fdo) icon theme specification
                - rewrote Makefiles.am files to take adavantage of the KDE CVS
                  build system
                - added proper moc #include statements to a lot of files

0.3.0 alpha 3

        emw     - kde 3.0 & include file fixes
                - segfault fix that occured after station scan
                - polish translation
                - mp3 recording
                - fix for recording configuration save/restore
                - alarms configurable for weekdays
                - no more unnecessary redraws in recording monitor
                - improved behavior of quickbar: poweron/off
                  automatically if necessary
                - only redraw necessary parts in recording monitor
                - split kapplication & pluginmanager
                - enable multiple "instances":
                  We have now a (very simple) method to play more
                  than one radio source at once: Set the configuration
                  variable in kradiorc "instances" to the required value.
                - cleanup IErrorLog usage
                - use threading for recording/encoding
                - fix several annoyances in configuration dialog, such as
                  a reasonable minimum size of that dialog
                - recording buffer management is now configurable
                - preset file storage location is now configurable
                - finally managed to fix segfaults that occurred when calling
                  virtual methods in destructors of template classes
                  (application exit and scan-dialog closing), see
                  http://gcc.gnu.org/bugzilla/show_bug.cgi?id=4861
                - add button for sleep countdown to display plugin
                - open /dev/dsp is no more blocking
                - set correct PCM_ENABLE_INPUT flag when starting recording
                - recording: replaced QSocketNotifier by polling/nonblocking
                  IO with QTimer. Some sound drivers do not support select()
                - fixed nebulous recording error logging/reporting
                - fix of kradio.pot generation
                - Use KListView for radio stations instead of KListBox
                - removed dependency to deprecated qlist.h (Thanks to G.Runf for the hint)

        Rafael Rodriguez

                - spanish translation

0.3.0 alpha 2

        emw     Compilation & Compatibility

                - kde3.0 compatibility fixes
                - replace round -> rint
                - correct missing video_dev forward declaration

                V4L/V4L2

                - v4l2 support, usable for older and bleeding edge
                  releases of V4L2
                - v4l configuration improvements: device volume controls
                  in v4l configuration page
                - respect device volume control min/max values
                - fixed device-volume-set2zero-problem after mute/unmute
                  (radio cards do reset volume controls on mute)

                Recording

                - recording
                - select recording source and igain automatically
                - recording monitor
                - recording doesn't restore monitoring state on startup,
                  kradio might be blocked if another app uses /dev/dsp

                GUI

                - store-preset-file button in station configuration page
                - move widget geometry saving/restoring to class
                  WidgetPluginBase
                - finally fixed the nasty positioning/sticky problem when
                  window is restored
                - fixed "changes-ignored"-problem in preset-about page
                - sensefull names/descriptions for plugins
                - upper case in show/hide docking menu entries
                - fix pixmap/text usage on quickbar buttons
                - font selector for display
                - choosable inactive text color
                - error loggin plugin
                - recording button: +menu for recording/monitoring
                - symbol for station search button
                - about dialog

                Preset File Format

                - encoding detection for preset files (Locale->UTF8)
                - convert preset files to new format
                - converter: add xml-encoding-line

                Other

                - translation preparation
                - german translation
                - credits in about dialog
                - remove dependency on kalarm
                - use special mail-adress for preset files
                - country/city in preset file mail
                - debianization

        Klas Kalass

                - some more include file fixes

        Will Stephenson

                - radio-configuration.cpp: fix for pixmap selection dialog

        Andreas Pour

                - fix for math and STL issues


0.3.0 alpha 1

        Update Information:

        Due to the new station list format you will have to rebuild your
        station selections for the quickbar and the docking menu. The
        stations should be read without problems. As soon as you quit
        kradio and the configuration files are written, any versions 0.2.x
        will not be able to read the station list and configuration files.

        BACKUP YOUR CONFIGURATION FILES!

        emw     - major rewrite (interfaces, plugins, ...)
                - AM/FM readyness
                - display redesign
                - new station list format

0.2.8   (beta)

        emw     - setupdialog: fix cancel button behaviour
                - configurable scanStep for station search
                - made frequency setting independent from device quantisation
                - min/max Frequency config in kHz (before in MHz)
                - display Frequency in kHz if < 10 MHz
                - fix min/max settings in station configuration page
                - quickbar fixes (wrong use of button IDs vs. station IDs)
                - redesign kradio gui. new class kradiodisplay
                - make kradio AM-ready (hopefully)

0.2.7a  (beta)

        emw     - fix missing xml quotings
                - fix for disabled alarm volume
                - use frequency instead of (changable) stationID for alarms
                - implement a "contribute preset file to kradio project" function via KDE standard mail client

0.2.7   (beta)

        emw     - added pseudo lirc key "QUIT"
                - fixed some more quickbar bugs
                - make "good signal" level configurable, sometimes autoscan did not find all stations
                - fix ugly setup dialog layout frame problem
                - fix "alarm-enable is unset on restart" - problem
                - setupdialog: use kdialogbase to get usual kde like configuration dialog
                - setupdialog: make it non-modal
                - setupdialog: "about" tab for station preset lists
                - setupdialog: fix update of station info after preset load
                - setupdialog: use current volume for alarm volume of new alarm
                - setupdialog: fix tab order

        kalass  - fix min/max typo
                - add germany/hamburg-antenna preset file


0.2.6   (beta)

        emw     - activate station in setupdialog by freq, not stationId
                - add "unknown station" to kradio->cbStations
                - fix alarm inconsistencies
                - make alarm management independent from radiobase: new class TimeControl
                - make xml-config independent from radiobase: kradioapp is now responsible for it
                - remove alarm configuration from xml file, put to standard kde/kradio config file (downward compatibility kept)
                - sleep countdown function, countdown stopped by poweron/off, accessible via lirc/docking menu
                - make kradioapp responsible for lircHelper
                - make use of <KDEDIR>/share/apps/kradio/presets possible
                - include first station preset file in dist (germany/aachen-cable.krp, still a bit incomplete;)

        kalass  - fixed config autosave bug

                Release notes:
                * ~/.kradiorc is still read for compatibility, but only if ~/<dot-kdedir>/share/data/kradio/stations.krp does not exist/contain valid data
                * alarms are now in ~/<dot-kdedir>/share/config/kradiorc, ~/.kradiorc is read for compatibility

                * I'd like to provide ready-to-use-kradio preset files within the dist.
                  I'd be pleased if you like to contribute your personal preset file to this project.

0.2.5   (alpha)

        emw:    - configuration dialog part 3: alarms
                - frequency range override
                - improve alarms by station/volume preset
                - only selected stations in docking menu
                - restore power/frequency after station scan
                - activate stations in setup by double-click/<return>
                - fix volume preset

0.2.4   (alpha)

        emw:    - qt 3.0.x compatibility fixes
                - quickbar/buttonflowlayout fixes
                - configuration dialog (part 2)
                - radiobase poweron/off fixes

0.2.3   (alpha)

        emw:    - added configuration dialog (part 1)
                - added station scan
                - improve station/alarm list handling

0.2.2   (alpha)

        emw:    - small fixes concerning window restoring
                - gcc 3.2 ready
                - further fixes in stereo/signal quality display

        kalass  - kde3 port
                - quickbar makes use of buttonflowlayout
                - fixes to conform with kde styleguide
                - make kradio/docking/quickbar independent
                - many other improvements, see CVS

        rizsanyi: - added lirc option RADIO (which turns kradio on)
                  - further small fixes

0.2.1   emw:    - added alarm clock functions
                - line in volume monitoring
                - About-Dialog
                - new icon

0.2.0   emw:    - docking menu, correct hide/show behaviour
                - lirc support
                - save/restore current window state (sticky vs Desktop) && position

0.1.3   emw:    - change GUI a bit
                - add Power On/Off functions (=> kradio may still run while watching tv)
                - simplify "class Radio"

0.1.2   frank:  - fixed float/integer conversion on set frequence (stationbutton)
                - seek will end on all over frequence change button
                - balance set included in volumesetting

0.1.1   frank:  - changed Frequence Range to 87.00 (min) and 109.00 (max)
                - tray for panel added

0.1     frank:  - initial Release
